<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKGanttViewBase from './ibizbookgantt-view-base.vue';

import view_gantt from '@widgets/ibizbook/usr-gantt/usr-gantt.vue';
@Component({
    components: {
        view_gantt, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKGanttView extends IBIZBOOKGanttViewBase {

}
</script>